summaryrefslogtreecommitdiff
path: root/dev-ruby
diff options
context:
space:
mode:
Diffstat (limited to 'dev-ruby')
-rw-r--r--dev-ruby/date/Manifest1
-rw-r--r--dev-ruby/date/date-3.3.4.ebuild33
-rw-r--r--dev-ruby/drb/Manifest1
-rw-r--r--dev-ruby/drb/drb-2.2.0.ebuild27
-rw-r--r--dev-ruby/puppetdb-termini/Manifest1
-rw-r--r--dev-ruby/puppetdb-termini/puppetdb-termini-8.2.0.ebuild28
-rw-r--r--dev-ruby/rdoc/Manifest1
-rw-r--r--dev-ruby/rdoc/rdoc-6.6.0.ebuild98
-rw-r--r--dev-ruby/securerandom/Manifest1
-rw-r--r--dev-ruby/securerandom/securerandom-0.3.0.ebuild27
10 files changed, 218 insertions, 0 deletions
diff --git a/dev-ruby/date/Manifest b/dev-ruby/date/Manifest
index 21a184aad722..b1c73b24510f 100644
--- a/dev-ruby/date/Manifest
+++ b/dev-ruby/date/Manifest
@@ -1 +1,2 @@
DIST date-3.3.3.tar.gz 109793 BLAKE2B c7ee6337a520172b692a48c963a67d7fe7f6f56dd6ea5a957eda32d7c21fee7d02d0616f39c32abf61ae5f33f6507c508e98c568fd8f7baf300dfc5658945917 SHA512 a2224fa191fd688593af29b95e40f67e9fb9acea93b7de613d9c4b105343434a9ef30f32599cd6af243dd3e35a9bf1f60b722e6a0bc4393e26e83734196e8193
+DIST date-3.3.4.tar.gz 99252 BLAKE2B a8fe8f4a716bb4247f00b94f2c9564a34df8fdd43d2345cfc529541bbfbf0549df1e0aac0d120de6b4cc6e6ea8e6fc38ee87cc36b16ddafb2c4589b8e96c04bd SHA512 d8b71c56316224ef7d5f0c7515adc9540eea784daa49f3c130dbbe1fcd2a90abc85b153bbca66809666c817597733f03f5acc06e883878ecc5ede3eab398c348
diff --git a/dev-ruby/date/date-3.3.4.ebuild b/dev-ruby/date/date-3.3.4.ebuild
new file mode 100644
index 000000000000..c6ce78027eff
--- /dev/null
+++ b/dev-ruby/date/date-3.3.4.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby31 ruby32"
+
+RUBY_FAKEGEM_BINWRAP=""
+RUBY_FAKEGEM_EXTENSIONS=(ext/date/extconf.rb)
+RUBY_FAKEGEM_EXTRADOC="README.md"
+RUBY_FAKEGEM_GEMSPEC="date.gemspec"
+RUBY_FAKEGEM_RECIPE_DOC="none"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A subclass of Object includes Comparable module for handling dates"
+HOMEPAGE="https://github.com/ruby/date"
+SRC_URI="https://github.com/ruby/date/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris"
+IUSE=""
+
+all_ruby_prepare() {
+ sed -e 's/__dir__/"."/' \
+ -e 's/__FILE__/"'${RUBY_FAKEGEM_GEMSPEC}'"/' \
+ -e 's/git ls-files -z/find * -print0/' \
+ -i ${RUBY_FAKEGEM_GEMSPEC} || die
+}
+
+each_ruby_test() {
+ ${RUBY} -Ilib:.:test:test/lib -rhelper -e 'Dir["test/**/test_*.rb"].each{|f| require f}' || die
+}
diff --git a/dev-ruby/drb/Manifest b/dev-ruby/drb/Manifest
index a8fcbde1c57c..cb51ffd8ffee 100644
--- a/dev-ruby/drb/Manifest
+++ b/dev-ruby/drb/Manifest
@@ -1 +1,2 @@
DIST drb-2.1.1.tar.gz 46269 BLAKE2B 91bba196afcf481c34aed1df3569ec122ba42da34e6eacdb19c245e7c76f63594152b8294d383118bd539720f89f9ca3a6488047a318dd7369aa11223e6c2f4e SHA512 e524c76f50f391256a40ff451f1f1f968babdc12a36426cbc9b127eaa1b4e7c0f4ff367146d32ec4cba088379ea23c06547cecf32c77c90d61681ecf04c999c5
+DIST drb-2.2.0.tar.gz 36203 BLAKE2B 5c60cd5dd8ab26434046435d98e203c7a50c6160edeb5373527140df8a26c7494a05a00b7faff11f1a8cecbeb963736e87adc1a9967e78b6c81b47d5c234eab3 SHA512 763f1ab8645d0bf168fc56bbde85fd4992405530d1764f49e18f2529713b3b2d62cc314b65e59472c11bbbb964e5133fe463b1f266ffde35f79b836a527c864a
diff --git a/dev-ruby/drb/drb-2.2.0.ebuild b/dev-ruby/drb/drb-2.2.0.ebuild
new file mode 100644
index 000000000000..d3973552ead8
--- /dev/null
+++ b/dev-ruby/drb/drb-2.2.0.ebuild
@@ -0,0 +1,27 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby31 ruby32"
+
+RUBY_FAKEGEM_BINWRAP=""
+RUBY_FAKEGEM_EXTRADOC="README.md"
+RUBY_FAKEGEM_GEMSPEC="drb.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Distributed object system for Ruby"
+HOMEPAGE="https://github.com/ruby/drb"
+SRC_URI="https://github.com/ruby/drb/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris"
+IUSE=""
+
+ruby_add_rdepend "dev-ruby/ruby2_keywords"
+
+all_ruby_prepare() {
+ sed -e 's:_relative ": "./:' \
+ -i ${RUBY_FAKEGEM_GEMSPEC} || die
+}
diff --git a/dev-ruby/puppetdb-termini/Manifest b/dev-ruby/puppetdb-termini/Manifest
index 29052360b40e..bf4a249cc0ea 100644
--- a/dev-ruby/puppetdb-termini/Manifest
+++ b/dev-ruby/puppetdb-termini/Manifest
@@ -1,2 +1,3 @@
DIST puppetdb-termini_7.13.0-1bullseye_all.deb 22548 BLAKE2B 535a3f846a7a10dcfaec4447ae852c6c4d870a573169f84e31f61c361164caea989f911df2d18e183c391dd0130a10b9422057eecaab304bebbb022f78e22a21 SHA512 3c8e440bfc55579d0c9a03ecae516d4cef49512ad9fdd6fceef37618c163ecac6d77a2b17b6cbb7131ceb3787904486bb78eef84a36a5f76672918db6d30db86
DIST puppetdb-termini_8.1.0-1focal_all.deb 21764 BLAKE2B b45c0fd944422511d2419a1e27a92f348415369ffcd27a53ad8244b2fb993bc735f291b5ae4277706b204c73402c110245a1d750adaaa4bfb94f5133adb4812d SHA512 51cf64d4e08275072a5fbfb7df273574acfe57c228d13d55a96975e26ab0eedd02280ba5dc08441f2e691cdeef10ae771ce26f14f05b2dfeaed4945041687a15
+DIST puppetdb-termini_8.2.0-1focal_all.deb 21850 BLAKE2B 3f2d35a24c3884fdc985cd22e2c27d159dbea80272f5d1510634fc3b93079fd33e2b4f19963e2e122eb25829aa118ac13a84d6838c73ccb54305afc7876f8fc6 SHA512 ebf05f85d4bd455498a40b0210a6fc0cbfed4d0991d5a3d5780eb1b99a2f93f64407d6465d010c53ff55a0a3fcfab6f411c851d95a9e028945634644baef5163
diff --git a/dev-ruby/puppetdb-termini/puppetdb-termini-8.2.0.ebuild b/dev-ruby/puppetdb-termini/puppetdb-termini-8.2.0.ebuild
new file mode 100644
index 000000000000..dfbabaa8b2cd
--- /dev/null
+++ b/dev-ruby/puppetdb-termini/puppetdb-termini-8.2.0.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+USE_RUBY="ruby26 ruby27 ruby30 ruby31"
+
+inherit unpacker
+
+DESCRIPTION="Library needed to connect puppet to puppetdb"
+HOMEPAGE="https://puppet.com/docs/puppetdb/latest/index.html"
+SRC_URI="http://apt.puppetlabs.com/pool/focal/puppet8/${PN:0:1}/${PN}/${PN}_${PV}-1focal_all.deb"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+IUSE=""
+# will need the same keywords as puppet
+KEYWORDS="~amd64 ~arm64 ~ppc ~x86"
+
+RDEPEND+=""
+DEPEND+=""
+
+S=${WORKDIR}
+
+src_install() {
+ insinto opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/
+ doins -r opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/*
+}
diff --git a/dev-ruby/rdoc/Manifest b/dev-ruby/rdoc/Manifest
index 1a55d159b41a..ef46a33a9c41 100644
--- a/dev-ruby/rdoc/Manifest
+++ b/dev-ruby/rdoc/Manifest
@@ -1,2 +1,3 @@
DIST rdoc-6.4.0.tar.gz 755741 BLAKE2B d2519dc0dac3fac32ef7cac8c87dba1a679f0b09dc5858e91899d6d28195cf584fe3eba802bafad400ae26c5ddcb65eaec32e101f9e047f80cecd1616a386ed3 SHA512 6c6a89245ac77abdeedee70327f97f8a9b8bb596c14848a95487ff19039864dd7a5c0f5b501fe2e7b187c671cfb205c1500359c7c203beb89211addaf3ac34f7
DIST rdoc-6.5.0.tar.gz 762645 BLAKE2B cecade491f0d18b2c50ec710cb27a28b6cb946f321503e0508e8d4802e93033a78867346eb1d68ca56884ea0d68d51d6fdb92eb61fa63034a01332e8b572dbcf SHA512 10382e66ca778f85f236614fe071b2b0d598065d3aab8f5a89cb0839da7713b5e16a66e3f7a2bff2e2125d26a42f088a86c6d339dc36479a943bb7023c1cad0c
+DIST rdoc-6.6.0.tar.gz 764785 BLAKE2B 85bd4b4ece07ae95c9afb6521ba42c1e016f75ef439c71512024ccf2f0ad47f603944aee1aeb28c76c74d59352ae673825c7d7f6bfe46b2ad3e2bafe406feb68 SHA512 fb4c58bb19652a090f45c85fec47be52e2474854ab9ae6705e9a3f6b2ac3381af4aca89b8a39ee5906bab6ff6c63a384d4a12dc6aa19024cc335df18cc92aab7
diff --git a/dev-ruby/rdoc/rdoc-6.6.0.ebuild b/dev-ruby/rdoc/rdoc-6.6.0.ebuild
new file mode 100644
index 000000000000..7ea9b73b0177
--- /dev/null
+++ b/dev-ruby/rdoc/rdoc-6.6.0.ebuild
@@ -0,0 +1,98 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby31 ruby32"
+
+RUBY_FAKEGEM_RECIPE_DOC=""
+RUBY_FAKEGEM_DOCDIR="doc"
+RUBY_FAKEGEM_EXTRADOC="History.rdoc README.rdoc RI.rdoc TODO.rdoc"
+
+RUBY_FAKEGEM_BINWRAP=""
+RUBY_FAKEGEM_BINDIR="exe"
+
+RUBY_FAKEGEM_GEMSPEC="rdoc.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="An extended version of the RDoc library from Ruby 1.8"
+HOMEPAGE="https://github.com/ruby/rdoc/"
+SRC_URI="https://github.com/ruby/rdoc/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="|| ( GPL-2 Ruby-BSD )"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos ~x64-macos ~x64-solaris"
+SLOT="0"
+IUSE="doc"
+
+RDEPEND+=">=app-eselect/eselect-ruby-20181225"
+
+ruby_add_rdepend "
+ >=dev-ruby/psych-4.0.0
+"
+
+ruby_add_bdepend "
+ >=dev-ruby/kpeg-1.1.0-r1
+ >dev-ruby/racc-1.4.10
+ dev-ruby/rake
+ test? (
+ dev-ruby/bundler
+ >=dev-ruby/minitest-5.8:5
+ )"
+
+all_ruby_prepare() {
+ # Other packages also have use for a nonexistent directory, bug 321059
+ sed -i -e 's#/nonexistent#/nonexistent_rdoc_tests#g' test/rdoc/test_rdoc*.rb || die
+
+ # Avoid unneeded dependency on bundler, bug 603696
+ sed -i -e '/bundler/ s:^:#:' \
+ -e 's/Bundler::GemHelper.gemspec.full_name/"rdoc"/' \
+ -e '/rubocop\/rake/ s:^:#:' \
+ -e '/RuboCop/,/end/ s:^:#:' Rakefile || die
+
+ # Skip rubygems tests since the rubygems test case code is no longer installed by rubygems.
+ sed -i -e '/^task/ s/, :rubygems_test//' Rakefile || die
+
+ # Remove test that is depending on the locale, which we can't garantuee.
+ sed -i -e '/def test_encode_with/,/^ end/ s:^:#:' test/rdoc/test_rdoc_options.rb || die
+
+ # Remove test depending on FEATURES=userpriv, bug 361959
+ sed -i -e '/def test_check_files/,/^ end/ s:^:#:' test/rdoc/test_rdoc_options.rb || die
+
+ sed -i -e 's:_relative ": "./:' ${RUBY_FAKEGEM_GEMSPEC} || die
+}
+
+all_ruby_compile() {
+ all_fakegem_compile
+
+ if use doc ; then
+ ruby -S exe/rdoc --force-output || die
+ rm -f doc/js/*.gz || die
+ fi
+}
+
+each_ruby_compile() {
+ LANG=C.UTF-8 ${RUBY} -S rake generate || die
+}
+
+all_ruby_install() {
+ all_fakegem_install
+
+ for bin in rdoc ri; do
+ ruby_fakegem_binwrapper $bin /usr/bin/$bin-2
+
+ for version in $(ruby_get_use_implementations); do
+ version=`echo ${version} | cut -c 5-`
+ if use ruby_targets_ruby${version}; then
+ ruby_fakegem_binwrapper $bin /usr/bin/${bin}${version}
+ sed -i -e "1s/env ruby/ruby${version}/" \
+ "${ED}/usr/bin/${bin}${version}" || die
+ fi
+ done
+ done
+}
+
+pkg_postinst() {
+ if [[ ! -n $(readlink "${ROOT}"/usr/bin/rdoc) ]] ; then
+ eselect ruby set $(eselect --brief --colour=no ruby show | head -n1)
+ fi
+}
diff --git a/dev-ruby/securerandom/Manifest b/dev-ruby/securerandom/Manifest
index f5b6ef6424dd..31f2f0fb91e0 100644
--- a/dev-ruby/securerandom/Manifest
+++ b/dev-ruby/securerandom/Manifest
@@ -1 +1,2 @@
DIST securerandom-0.2.2.tar.gz 7871 BLAKE2B 3ded59a1c4a035ea80b0fb1fa67e43d86c27485c782b34c2a548489ea1570be1cdc12860389d655ba0344900275af3422fcbe4621335ec62895eb229407326d2 SHA512 173e8968de037b17d5c4cf22b1d08b042c60e9679fb8cea100df193d58a345d6cb246ad56eeb07f58a3a7a6060826d59b7ed8ecdf7e38352b9d56d3cdfa71ff1
+DIST securerandom-0.3.0.tar.gz 10302 BLAKE2B a5dd123fa6d48eebda20eaee70152c237b5018e8c04fbd83f4d8d53b2459453fc0676265341e26328252a5acf3a675f4455f04331a2698ece40bb693a554fbe4 SHA512 a61901b3de95007cb9296e0555ec36ca3ea4aa0a0ed55b0e6a1e5b53ca79240dd93e3d59ef1b6914e4cd646d038f499695196b8348eb829fd8822406a7fc7cb6
diff --git a/dev-ruby/securerandom/securerandom-0.3.0.ebuild b/dev-ruby/securerandom/securerandom-0.3.0.ebuild
new file mode 100644
index 000000000000..234e636a26d7
--- /dev/null
+++ b/dev-ruby/securerandom/securerandom-0.3.0.ebuild
@@ -0,0 +1,27 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby31 ruby32"
+
+RUBY_FAKEGEM_BINWRAP=""
+RUBY_FAKEGEM_EXTRADOC="README.md"
+RUBY_FAKEGEM_GEMSPEC="securerandom.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Interface for secure random number generator"
+HOMEPAGE="https://github.com/ruby/securerandom"
+SRC_URI="https://github.com/ruby/securerandom/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris"
+IUSE=""
+
+all_ruby_prepare() {
+ sed -e 's/__dir__/"."/' \
+ -e 's/__FILE__/"'${RUBY_FAKEGEM_GEMSPEC}'"/' \
+ -e 's/git ls-files -z/find * -print0/' \
+ -i ${RUBY_FAKEGEM_GEMSPEC} || die
+}